Subject: Re: linux-next: powerpc boot failure

From: Stephen Rothwell <[email-masked]>
Date: Thu, 8 Apr 2010 17:23:16 +1000

Hi,

On Thu, 08 Apr 2010 10:11:47 +0300 Timo Teräs <[email-masked]> wrote:
>
> > The above pc is in this piece of code (I think - I don't have the actual
> > kernel) from __xfrm_lookup (in net/xfrm/xfrm_policy.c):
> > 
> >         if ((flags & XFRM_LOOKUP_ICMP) &&
> >             !(pols[0]->flags & XFRM_POLICY_ICMP)) {
> >                 err = -ENOENT;
> >                 goto error;
> >         }
> > 
> >         for (i = 0; i < num_pols; i++)
> >                 pols[i]->curlft.use_time = get_seconds(); <-------- (line 1845)
> > 
> > And the 0x200000025 is probably &(pols[i]) (which actually seems unlikely
> > since pols is an array on the stack).
> 
> What kind of xfrm policies the system has?

I don't even know what an xfrm policy is :-).  This is a pretty normal Ubuntu
Gutsy install and wouldn't have anything special in its network setup.

The above code fragment may be not quite the right place, sorry.  But it
is the right function.
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/